tex.math.in.alt
Prev | Miscellaneous | Next

## Name

tex.math.in.alt —

## Synopsis

§115: §148
      1| <xsl:param name="tex.math.in.alt"
      2|            select="''"/>

## Description

If you want type math directly in TeX notation in equations, this parameter specifies notation used. Currently are supported two values -- `plain` and `latex`. Empty value means that you are not using TeX math at all.

Preferred way for including TeX alternative of math is inside of `textobject` element. Eg.:

    <inlineequation>
    <inlinemediaobject>
    <imageobject>
    <imagedata fileref="eq1.gif"/>
    </imageobject>
    <textobject><phrase>E=mc squared</phrase></textobject>
    <textobject role="tex"><phrase>E=mc^2</phrase></textobject>
    </inlinemediaobject>
    </inlineequation>

If you are using `graphic` element, you can store TeX inside `alt` element:

    <inlineequation>
    <alt role="tex">a^2+b^2=c^2</alt>
    <graphic fileref="a2b2c2.gif"/>
    </inlineequation>

If you want use this feature, you should process your FO with PassiveTeX, which only supports TeX math notation. When calling stylsheet, don't forget to specify also passivetex.extensions=1.

If you want equations in HTML, just process generated file `tex-math-equations.tex` by TeX or LaTeX. Then run dvi2bitmap program on result DVI file. You will get images for equations in your document.

Prev | Up | Next
variablelist.as.table | Home | tex.math.file